MONGOC_URI_GET_WRITE_CONCERN(3)

NAME
mongoc_uri_get_write_concern - mongoc_uri_get_write_concern()

SYNOPSIS

const mongoc_write_concern_t *
mongoc_uri_get_write_concern (const mongoc_uri_t *uri);

PARAMETERS

•   uri: A mongoc_uri_t.

DESCRIPTION

Fetches a write concern that is owned by the URI instance. This write concern is configured based on URI parameters.

RETURNS

Returns a mongoc_write_concern_t that should not be modified or freed if uri has a write concern provided, otherwise NULL.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc